<#
.SYNOPSIS
An install script for installing Rebar3 via Chocolatey

.NOTES
Author: Luke Bakken - luke@bakken.io
Version: 1.0.0
#>
$ErrorActionPreference = 'Stop'

New-Variable -Name package -Value 'rebar3' -Option Constant
New-Variable -Name rebar3_version -Value '3.20.0' -Option Constant

New-Variable -Name tools_path -Option Constant `
  -Value (Split-Path -Parent $MyInvocation.MyCommand.Definition)

New-Variable -Name rebar3_ps1 -Option Constant `
  -Value (Join-Path -Path $tools_path -ChildPath 'rebar3.ps1')

Remove-BinFile -Name 'rebar3' -path $rebar3_ps1

